Subject: annoying prinkts during vmemmap initialization

From: Christoph Hellwig <[email-masked]>
Date: Wed, 21 Nov 2007 16:35:26 +0100

Hi Andi,

your patch 'ppc64: SPARSEMEM_VMEMMAP support' adds the following two lines:

+               printk(KERN_WARNING "vmemmap %08lx allocated at %p, "
+                                       "physical %p.\n", start, p, __pa(p));

in a loop around basically every page.  That's a lot of flooding (with
the wrong printk level, btw) and really slows down booting my cell blade
a lot (these only have a very slow serial over lan console).

Any reason to keep this?  And if yes can we please make it conditional
on some kind of vmemmap_debug boot option?